package jpel.gui.util;

/**
 * <p>Title: Configuration in Java</p>
 * <p>Description: Ferramentas e tcnicas para ajuste de sistemas feitos em Java.</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: CIN - UFPE</p>
 * @author Thiago Santos (tlvls@cin.ufpe.br)
 * @version 1.0
 */

import javax.swing.JTextArea;

import jpel.util.DebuggerSink;

/**
 * Coloca a saida do debugger p/uma TextArea.
 */
public class DebuggerSinkTextArea implements DebuggerSink {
    private JTextArea text;

    public DebuggerSinkTextArea( JTextArea text ) {
        this.text = text;
    }

    public void write( Object obj ) {
        text.append( String.valueOf( obj ) + "\n" );
    }
}
