package jpel.gui.util;

/**
 * <p>Title: Configuration in Java</p>
 * <p>Description: Ferramentas e tcnicas para ajuste de sistemas feitos em Java.</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: CIN - UFPE</p>
 * @author Thiago Santos (tlvls@cin.ufpe.br)
 * @version 1.0
 */

import javax.swing.ImageIcon;

public interface Icons {
    // file
    ImageIcon NEW = new ImageIcon( Icons.class.getResource( "new.gif" ) );
    ImageIcon OPEN = new ImageIcon( Icons.class.getResource( "open.gif" ) );
    ImageIcon RELOAD = new ImageIcon( Icons.class.getResource( "reload.gif" ) );
    ImageIcon CLOSE = new ImageIcon( Icons.class.getResource( "close.gif" ) );
    ImageIcon DELETE = new ImageIcon( Icons.class.getResource( "delete.gif" ) );
    ImageIcon SAVE = new ImageIcon( Icons.class.getResource( "save.gif" ) );
    ImageIcon EXPORT = new ImageIcon( Icons.class.getResource( "export.gif" ) );
    ImageIcon PRINT = new ImageIcon( Icons.class.getResource( "print.gif" ) );
    //edit
    ImageIcon CUT = new ImageIcon( Icons.class.getResource( "cut.gif" ) );
    ImageIcon COPY = new ImageIcon( Icons.class.getResource( "copy.gif" ) );
    ImageIcon PASTE = new ImageIcon( Icons.class.getResource( "paste.gif" ) );
    ImageIcon FIND = new ImageIcon( Icons.class.getResource( "find.gif" ) );
    ImageIcon REPLACE = new ImageIcon( Icons.class.getResource( "replace.gif" ) );
    ImageIcon UNDO = new ImageIcon( Icons.class.getResource( "undo.gif" ) );
    ImageIcon REDO = new ImageIcon( Icons.class.getResource( "redo.gif" ) );
    //nodes
    ImageIcon EXPAND = new ImageIcon( Icons.class.getResource( "expand.gif" ) );
    ImageIcon COLAPSE = new ImageIcon( Icons.class.getResource( "colapse.gif" ) );
    ImageIcon INSERT = new ImageIcon( Icons.class.getResource( "insert.gif" ) );
    ImageIcon UPDATE = new ImageIcon( Icons.class.getResource( "update.gif" ) );
    ImageIcon REMOVE = new ImageIcon( Icons.class.getResource( "remove.gif" ) );
    ImageIcon BACK = new ImageIcon( Icons.class.getResource( "back.gif" ) );
    ImageIcon FORWARD = new ImageIcon( Icons.class.getResource( "forward.gif" ) );
    ImageIcon UP = new ImageIcon( Icons.class.getResource( "up.gif" ) );
    ImageIcon DOWN = new ImageIcon( Icons.class.getResource( "down.gif" ) );
    // conversors,etc
    ImageIcon STEP_BACK = new ImageIcon( Icons.class.getResource(
                          "stepBack.gif" ) );
    ImageIcon STEP_FORWARD = new ImageIcon( Icons.class.getResource(
                             "stepForward.gif" ) );
    ImageIcon DEPENDENCY = new ImageIcon( Icons.class.getResource(
                           "dependency.gif" ) );
    ImageIcon PROCESS = new ImageIcon( Icons.class.getResource( "process.gif" ) );
    ImageIcon CONVERT = new ImageIcon( Icons.class.getResource( "convert.gif" ) );
}
