package jpel.language;

/**
 * <p>Title: Configuration in Java</p>
 * <p>Description: Ferramentas e tcnicas para ajuste de sistemas feitos em Java.</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: CIN - UFPE</p>
 * @author Thiago Santos (tlvls@cin.ufpe.br)
 * @version 1.0
 */

/**
 * Exceo lanada quando h um erro de tipos nas expresses.
 */
public class BadTypedException extends ExecutionException {

    public BadTypedException(Expression expression,
        String message) {
        this(expression, message, null);
    }

    public BadTypedException(Expression expression,
        String message,
        Throwable detail) {
        super(expression, message, detail);
    }
}
