package jpel.language;

/**
 * Title:        Configuration in Java
 * Description:  Ferramentas e tcnicas para ajuste de sistemas feitos em Java.
 * Copyright:    Copyright (c) 2002
 * Company:      CIN - UFPE
 * @author Thiago Santos (tlvls@cin.ufpe.br)
 * @version 1.0
 */

/**
     * Expresses que implementam esta interface fornecem uma forma de representao
 * em String.
 */
public interface StringableExpression extends Expression {

    /**
     * Fornece uma representao em String da expresso.
     * @return A String correspondente.
     */
    String asString();
}
