package jpel.remote.util;

/**
 * <p>Title: Configuration in Java</p>
 * <p>Description: Ferramentas e tcnicas para ajuste de sistemas feitos em Java.</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: CIN - UFPE</p>
 * @author Thiago Santos (tlvls@cin.ufpe.br)
 * @version 1.0
 */

import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.util.EventObject;

public class GenericSocketServerEvent extends EventObject {

    public int serialNumber;
    public String command;
    public String from;
    public ObjectInputStream in;
    public ObjectOutputStream out;

    public GenericSocketServerEvent( GenericSocketServer server,
        int serialNumber, String command, String from, ObjectInputStream in,
        ObjectOutputStream out ) {
        super( server );
        this.serialNumber = serialNumber;
        this.command = command;
        this.from = from;
        this.in = in;
        this.out = out;
    }
}
