package jpel.resolver;

/**
 * <p>Title: Configuration in Java</p>
 * <p>Description: Ferramentas e tcnicas para ajuste de sistemas feitos em Java.</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: CIN - UFPE</p>
 * @author Thiago Santos (tlvls@cin.ufpe.br)
 * @version 1.0
 */

import java.net.Socket;

/**
     * Define o gatilho que pode ser utilizado para ativar qualquer politica baseada
 * em notificao.
 */
public class PolicyOnNotifyTrigger {

    public static void main(String[] args) {
        if(args.length == 0) {
            System.out.println(
                "usage: java PolicyOnNotifyTrigger <host> <port>");
            return;
        }
        try {
            String host = args[0];
            int port = Integer.valueOf(args[1]).intValue();
            Socket s = new Socket(host, port);
            s.close();
        }
        catch(Exception exc) {
            exc.printStackTrace();
        }
    }
}