package jpel.tree;

/**
 * <p>Title: Configuration in Java</p>
 * <p>Description: Ferramentas e tcnicas para ajuste de sistemas feitos em Java.</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: CIN - UFPE</p>
 * @author Thiago Santos (tlvls@cin.ufpe.br)
 * @version 1.0
 */

import jpel.util.dataholder.DataHolder;
import jpel.util.dataholder.DataHolderException;

public class NodeReaderDebugger implements NodeReader {

    public NodeReaderDebugger() {}

    public Node read(DataHolder holder) throws NodeException,
        DataHolderException {
        System.out.println("ReaderDebugger.holder=" + holder);
        return new NodeImpl();
    }

    public String[] getTypes() {
        return new String[] {
            "debugger"};
    }

    public String getDescription() {
        return "Debugger resources";
    }
}