package jpel.tree;

/**
 * <p>Title: Configuration in Java</p>
 * <p>Description: Ferramentas e tcnicas para ajuste de sistemas feitos em Java.</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: CIN - UFPE</p>
 * @author Thiago Santos (tlvls@cin.ufpe.br)
 * @version 1.0
 */

import jpel.util.dataholder.DataHolder;
import jpel.util.dataholder.DataHolderException;

public class NodeWriterDebugger implements NodeWriter {

    public NodeWriterDebugger() {}

    public void write(Node node, DataHolder holder) throws NodeException,
        DataHolderException {
        System.out.println("WriterDebugger.node=" + node);
        System.out.println("WriterDebugger.holder=" + holder);
    }

    public String[] getTypes() {
        return new String[] {
            "debugger"};
    }

    public String getDescription() {
        return "Debugger resources";
    }
}