package jpel.resolver;

/**
 * <p>Title: Configuration in Java</p>
 * <p>Description: Ferramentas e tcnicas para ajuste de sistemas feitos em Java.</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: CIN - UFPE</p>
 * @author Thiago Santos (tlvls@cin.ufpe.br)
 * @version 1.0
 */

/**
     * Prov um mecanismo para construo de parametrizaes estticas ou dinmicas.
 */
public class ConfigurationBuilder {

    public static StaticConfiguration staticConfiguration(Object source) throws
        ConfigurationException {
        StaticConfiguration result = new StaticConfigurationImpl();
        result.load(source);
        return result;
    }

    public static DynamicConfiguration dynamicConfiguration(Object source) throws
        ConfigurationException {
        DynamicConfiguration result = new DynamicConfigurationImpl();
        result.load(source);
        return result;
    }

}