package jpel.resolver;

/**
 * <p>Title: Configuration in Java</p>
 * <p>Description: Ferramentas e tcnicas para ajuste de sistemas feitos em Java.</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: CIN - UFPE</p>
 * @author Thiago Santos (tlvls@cin.ufpe.br)
 * @version 1.0
 */

import java.util.EventObject;

/**
 * Evento gerado quando uma politica de monitoramento dispara uma
 * regra.
 */
public class PolicyEvent extends EventObject {

    public PolicyEvent(Configuration source) {
        super(source);
    }

    public Configuration getConfiguration() {
        return(Configuration) getSource();
    }
}