package jpel.resolver;

/**
 * <p>Title: Configuration in Java</p>
 * <p>Description: Ferramentas e tcnicas para ajuste de sistemas feitos em Java.</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: CIN - UFPE</p>
 * @author Thiago Santos (tlvls@cin.ufpe.br)
 * @version 1.0
 */

/**
 * Define que quando um evento gerado por uma politica associada a uma
 * configuracao deve executar o mtodo de reajuste da configurao.
 */
public class PolicyListenerReload implements PolicyListener {

    public PolicyListenerReload() {}

    public void policyActivated(PolicyEvent e) {
        try {
            e.getConfiguration().reload();
        }
        catch(ConfigurationException exc) {
            exc.printStackTrace();
        }
    }
}