package jpel.tree;

/**
 * <p>Title: Configuration in Java</p>
 * <p>Description: Ferramentas e tcnicas para ajuste de sistemas feitos em Java.</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: CIN - UFPE</p>
 * @author Thiago Santos (tlvls@cin.ufpe.br)
 * @version 1.0
 */

/**
 * Implementao padro da fbrica de ns.
 */
public class NodeFactoryImpl implements NodeFactory {

    public Node getNode() throws NodeException {
        return new NodeImpl();
    }

    public Node getNode(Object value) throws NodeException {
        return new NodeImpl(value);
    }

    public Node getNode(Object value, Node parent) throws NodeException {
        Node node = new NodeImpl(value);
        parent.insert(node);
        return node;
    }
}